package com.chinaitop.depot.intelligent.fumigation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TFumigationProcess {
    private String id;

    private String fumigationId;

    private Date firstUseDrugTime;

    private String firstUseDrugUnit;

    private String firstUseDrugCount;

    private String circulationUseTime;

    private Date firstSupplementDrugTime;

    private String firstSupplementDrugCount;

    private Date lastSupplementDrugTime;

    private String lastSupplementDrugCount;

    private Integer totalSupplementDrugTimes;

    private String totalSupplementDrugCount;

    private String totalUseDrugCount;

    private String supplementDrugType;

    private Integer isCirculationFine;

    private Integer isUseDrugEquipmentFine;

    private Integer isHouseTightnessFine;

    private Integer isAerialWorkPlatformFine;

    private Integer isPhosphineDetectorFine;

    private Integer isPhosphineAlarmFine;

    private Integer isOxygenDetectorFine;

    private Integer isAirRespiratorFine;

    private Integer isHaveWarningSignFine;

    private Integer isFireExtinguisherFine;

    private Integer isHaveFirstAidKit;

    private Date bulkStartTime;

    private Date bulkEndTime;

    private String bulkGasType;

    private String bulkEndToxicGasConcentration;

    private String drugResidueRate;

    private String dcsqtinfoId;

    private Integer taskState;

    private Date taskEndTime;

    private Integer creater;

    private Date createTime;

    private Date updateTime;

    private Integer orgId;

    private String yqbjyaqjc;

    private BigDecimal byqcnlhqnd;

    private BigDecimal mbnd;

    private BigDecimal jsbyl;

    private String byzypzr;

    private BigDecimal fznd;

    private Integer mbndwcts;

    private String lswzjc;

    private String lqbwcqdbjcs;

    private Integer mbsj;

    private BigDecimal ctz;

    private BigDecimal sqqlhqnd;

    private String sqpzr;

    private Integer sqcsts;

    private BigDecimal sqjsslhqnd;

    private String deleteState;

    private String dataSource;

    private Date updatetime;

    /**
     * 熏蒸过程表
     * @return id 熏蒸过程表
     */
    public String getId() {
        return id;
    }

    /**
     * 熏蒸过程表
     * @param id 熏蒸过程表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 熏蒸方案id
     * @return fumigation_id 熏蒸方案id
     */
    public String getFumigationId() {
        return fumigationId;
    }

    /**
     * 熏蒸方案id
     * @param fumigationId 熏蒸方案id
     */
    public void setFumigationId(String fumigationId) {
        this.fumigationId = fumigationId == null ? null : fumigationId.trim();
    }

    /**
     * 初次施药时间
     * @return first_use_drug_time 初次施药时间
     */
    public Date getFirstUseDrugTime() {
        return firstUseDrugTime;
    }

    /**
     * 初次施药时间
     * @param firstUseDrugTime 初次施药时间
     */
    public void setFirstUseDrugTime(Date firstUseDrugTime) {
        this.firstUseDrugTime = firstUseDrugTime;
    }

    /**
     * 初次单位剂量(g/m³)
     * @return first_use_drug_unit 初次单位剂量(g/m³)
     */
    public String getFirstUseDrugUnit() {
        return firstUseDrugUnit;
    }

    /**
     * 初次单位剂量(g/m³)
     * @param firstUseDrugUnit 初次单位剂量(g/m³)
     */
    public void setFirstUseDrugUnit(String firstUseDrugUnit) {
        this.firstUseDrugUnit = firstUseDrugUnit == null ? null : firstUseDrugUnit.trim();
    }

    /**
     * 初次用药量
     * @return first_use_drug_count 初次用药量
     */
    public String getFirstUseDrugCount() {
        return firstUseDrugCount;
    }

    /**
     * 初次用药量
     * @param firstUseDrugCount 初次用药量
     */
    public void setFirstUseDrugCount(String firstUseDrugCount) {
        this.firstUseDrugCount = firstUseDrugCount == null ? null : firstUseDrugCount.trim();
    }

    /**
     * 环流时间(h)
     * @return circulation_use_time 环流时间(h)
     */
    public String getCirculationUseTime() {
        return circulationUseTime;
    }

    /**
     * 环流时间(h)
     * @param circulationUseTime 环流时间(h)
     */
    public void setCirculationUseTime(String circulationUseTime) {
        this.circulationUseTime = circulationUseTime == null ? null : circulationUseTime.trim();
    }

    /**
     * 初次补药日期
     * @return first_supplement_drug_time 初次补药日期
     */
    public Date getFirstSupplementDrugTime() {
        return firstSupplementDrugTime;
    }

    /**
     * 初次补药日期
     * @param firstSupplementDrugTime 初次补药日期
     */
    public void setFirstSupplementDrugTime(Date firstSupplementDrugTime) {
        this.firstSupplementDrugTime = firstSupplementDrugTime;
    }

    /**
     * 初次补药量
     * @return first_supplement_drug_count 初次补药量
     */
    public String getFirstSupplementDrugCount() {
        return firstSupplementDrugCount;
    }

    /**
     * 初次补药量
     * @param firstSupplementDrugCount 初次补药量
     */
    public void setFirstSupplementDrugCount(String firstSupplementDrugCount) {
        this.firstSupplementDrugCount = firstSupplementDrugCount == null ? null : firstSupplementDrugCount.trim();
    }

    /**
     * 最后补药日期
     * @return last_supplement_drug_time 最后补药日期
     */
    public Date getLastSupplementDrugTime() {
        return lastSupplementDrugTime;
    }

    /**
     * 最后补药日期
     * @param lastSupplementDrugTime 最后补药日期
     */
    public void setLastSupplementDrugTime(Date lastSupplementDrugTime) {
        this.lastSupplementDrugTime = lastSupplementDrugTime;
    }

    /**
     * 最后补药量
     * @return last_supplement_drug_count 最后补药量
     */
    public String getLastSupplementDrugCount() {
        return lastSupplementDrugCount;
    }

    /**
     * 最后补药量
     * @param lastSupplementDrugCount 最后补药量
     */
    public void setLastSupplementDrugCount(String lastSupplementDrugCount) {
        this.lastSupplementDrugCount = lastSupplementDrugCount == null ? null : lastSupplementDrugCount.trim();
    }

    /**
     * 总补药次数(次)
     * @return total_supplement_drug_times 总补药次数(次)
     */
    public Integer getTotalSupplementDrugTimes() {
        return totalSupplementDrugTimes;
    }

    /**
     * 总补药次数(次)
     * @param totalSupplementDrugTimes 总补药次数(次)
     */
    public void setTotalSupplementDrugTimes(Integer totalSupplementDrugTimes) {
        this.totalSupplementDrugTimes = totalSupplementDrugTimes;
    }

    /**
     * 总补药量(kg)
     * @return total_supplement_drug_count 总补药量(kg)
     */
    public String getTotalSupplementDrugCount() {
        return totalSupplementDrugCount;
    }

    /**
     * 总补药量(kg)
     * @param totalSupplementDrugCount 总补药量(kg)
     */
    public void setTotalSupplementDrugCount(String totalSupplementDrugCount) {
        this.totalSupplementDrugCount = totalSupplementDrugCount == null ? null : totalSupplementDrugCount.trim();
    }

    /**
     * 总用药量(kg)
     * @return total_use_drug_count 总用药量(kg)
     */
    public String getTotalUseDrugCount() {
        return totalUseDrugCount;
    }

    /**
     * 总用药量(kg)
     * @param totalUseDrugCount 总用药量(kg)
     */
    public void setTotalUseDrugCount(String totalUseDrugCount) {
        this.totalUseDrugCount = totalUseDrugCount == null ? null : totalUseDrugCount.trim();
    }

    /**
     * 补药方法
     * @return supplement_drug_type 补药方法
     */
    public String getSupplementDrugType() {
        return supplementDrugType;
    }

    /**
     * 补药方法
     * @param supplementDrugType 补药方法
     */
    public void setSupplementDrugType(String supplementDrugType) {
        this.supplementDrugType = supplementDrugType == null ? null : supplementDrugType.trim();
    }

    /**
     * 环流风机/阀门 是否正常
     * @return is_circulation_fine 环流风机/阀门 是否正常
     */
    public Integer getIsCirculationFine() {
        return isCirculationFine;
    }

    /**
     * 环流风机/阀门 是否正常
     * @param isCirculationFine 环流风机/阀门 是否正常
     */
    public void setIsCirculationFine(Integer isCirculationFine) {
        this.isCirculationFine = isCirculationFine;
    }

    /**
     * 施药设备 是否正常
     * @return is_use_drug_equipment_fine 施药设备 是否正常
     */
    public Integer getIsUseDrugEquipmentFine() {
        return isUseDrugEquipmentFine;
    }

    /**
     * 施药设备 是否正常
     * @param isUseDrugEquipmentFine 施药设备 是否正常
     */
    public void setIsUseDrugEquipmentFine(Integer isUseDrugEquipmentFine) {
        this.isUseDrugEquipmentFine = isUseDrugEquipmentFine;
    }

    /**
     * 仓房密闭性 是否正常
     * @return is_house_tightness_fine 仓房密闭性 是否正常
     */
    public Integer getIsHouseTightnessFine() {
        return isHouseTightnessFine;
    }

    /**
     * 仓房密闭性 是否正常
     * @param isHouseTightnessFine 仓房密闭性 是否正常
     */
    public void setIsHouseTightnessFine(Integer isHouseTightnessFine) {
        this.isHouseTightnessFine = isHouseTightnessFine;
    }

    /**
     * 高空作业平台安全检测 是否正常
     * @return is_aerial_work_platform_fine 高空作业平台安全检测 是否正常
     */
    public Integer getIsAerialWorkPlatformFine() {
        return isAerialWorkPlatformFine;
    }

    /**
     * 高空作业平台安全检测 是否正常
     * @param isAerialWorkPlatformFine 高空作业平台安全检测 是否正常
     */
    public void setIsAerialWorkPlatformFine(Integer isAerialWorkPlatformFine) {
        this.isAerialWorkPlatformFine = isAerialWorkPlatformFine;
    }

    /**
     * 磷化氢检测仪 是否正常
     * @return is_phosphine_detector_fine 磷化氢检测仪 是否正常
     */
    public Integer getIsPhosphineDetectorFine() {
        return isPhosphineDetectorFine;
    }

    /**
     * 磷化氢检测仪 是否正常
     * @param isPhosphineDetectorFine 磷化氢检测仪 是否正常
     */
    public void setIsPhosphineDetectorFine(Integer isPhosphineDetectorFine) {
        this.isPhosphineDetectorFine = isPhosphineDetectorFine;
    }

    /**
     * 磷化氢报警仪 是否正常
     * @return is_phosphine_alarm_fine 磷化氢报警仪 是否正常
     */
    public Integer getIsPhosphineAlarmFine() {
        return isPhosphineAlarmFine;
    }

    /**
     * 磷化氢报警仪 是否正常
     * @param isPhosphineAlarmFine 磷化氢报警仪 是否正常
     */
    public void setIsPhosphineAlarmFine(Integer isPhosphineAlarmFine) {
        this.isPhosphineAlarmFine = isPhosphineAlarmFine;
    }

    /**
     * 测氧仪 是否正常
     * @return is_oxygen_detector_fine 测氧仪 是否正常
     */
    public Integer getIsOxygenDetectorFine() {
        return isOxygenDetectorFine;
    }

    /**
     * 测氧仪 是否正常
     * @param isOxygenDetectorFine 测氧仪 是否正常
     */
    public void setIsOxygenDetectorFine(Integer isOxygenDetectorFine) {
        this.isOxygenDetectorFine = isOxygenDetectorFine;
    }

    /**
     * 空气呼吸器 是否正常
     * @return is_air_respirator_fine 空气呼吸器 是否正常
     */
    public Integer getIsAirRespiratorFine() {
        return isAirRespiratorFine;
    }

    /**
     * 空气呼吸器 是否正常
     * @param isAirRespiratorFine 空气呼吸器 是否正常
     */
    public void setIsAirRespiratorFine(Integer isAirRespiratorFine) {
        this.isAirRespiratorFine = isAirRespiratorFine;
    }

    /**
     * 警戒线/警示牌 是否有
     * @return is_have_warning_sign_fine 警戒线/警示牌 是否有
     */
    public Integer getIsHaveWarningSignFine() {
        return isHaveWarningSignFine;
    }

    /**
     * 警戒线/警示牌 是否有
     * @param isHaveWarningSignFine 警戒线/警示牌 是否有
     */
    public void setIsHaveWarningSignFine(Integer isHaveWarningSignFine) {
        this.isHaveWarningSignFine = isHaveWarningSignFine;
    }

    /**
     * 灭火器 是否正常
     * @return is_fire_extinguisher_fine 灭火器 是否正常
     */
    public Integer getIsFireExtinguisherFine() {
        return isFireExtinguisherFine;
    }

    /**
     * 灭火器 是否正常
     * @param isFireExtinguisherFine 灭火器 是否正常
     */
    public void setIsFireExtinguisherFine(Integer isFireExtinguisherFine) {
        this.isFireExtinguisherFine = isFireExtinguisherFine;
    }

    /**
     * 急救箱 是否有
     * @return is_have_first_aid_kit 急救箱 是否有
     */
    public Integer getIsHaveFirstAidKit() {
        return isHaveFirstAidKit;
    }

    /**
     * 急救箱 是否有
     * @param isHaveFirstAidKit 急救箱 是否有
     */
    public void setIsHaveFirstAidKit(Integer isHaveFirstAidKit) {
        this.isHaveFirstAidKit = isHaveFirstAidKit;
    }

    /**
     * 散气开始时间
     * @return bulk_start_time 散气开始时间
     */
    public Date getBulkStartTime() {
        return bulkStartTime;
    }

    /**
     * 散气开始时间
     * @param bulkStartTime 散气开始时间
     */
    public void setBulkStartTime(Date bulkStartTime) {
        this.bulkStartTime = bulkStartTime;
    }

    /**
     * 散气结束时间
     * @return bulk_end_time 散气结束时间
     */
    public Date getBulkEndTime() {
        return bulkEndTime;
    }

    /**
     * 散气结束时间
     * @param bulkEndTime 散气结束时间
     */
    public void setBulkEndTime(Date bulkEndTime) {
        this.bulkEndTime = bulkEndTime;
    }

    /**
     * 散气方法
     * @return bulk_gas_type 散气方法
     */
    public String getBulkGasType() {
        return bulkGasType;
    }

    /**
     * 散气方法
     * @param bulkGasType 散气方法
     */
    public void setBulkGasType(String bulkGasType) {
        this.bulkGasType = bulkGasType == null ? null : bulkGasType.trim();
    }

    /**
     * 散气结束时毒气浓度(ppm)
     * @return bulk_end_toxic_gas_concentration 散气结束时毒气浓度(ppm)
     */
    public String getBulkEndToxicGasConcentration() {
        return bulkEndToxicGasConcentration;
    }

    /**
     * 散气结束时毒气浓度(ppm)
     * @param bulkEndToxicGasConcentration 散气结束时毒气浓度(ppm)
     */
    public void setBulkEndToxicGasConcentration(String bulkEndToxicGasConcentration) {
        this.bulkEndToxicGasConcentration = bulkEndToxicGasConcentration == null ? null : bulkEndToxicGasConcentration.trim();
    }

    /**
     * 药剂残留率(ppm)
     * @return drug_residue_rate 药剂残留率(ppm)
     */
    public String getDrugResidueRate() {
        return drugResidueRate;
    }

    /**
     * 药剂残留率(ppm)
     * @param drugResidueRate 药剂残留率(ppm)
     */
    public void setDrugResidueRate(String drugResidueRate) {
        this.drugResidueRate = drugResidueRate == null ? null : drugResidueRate.trim();
    }

    /**
     * 气体检测id
     * @return dcsqtinfo_id 气体检测id
     */
    public String getDcsqtinfoId() {
        return dcsqtinfoId;
    }

    /**
     * 气体检测id
     * @param dcsqtinfoId 气体检测id
     */
    public void setDcsqtinfoId(String dcsqtinfoId) {
        this.dcsqtinfoId = dcsqtinfoId == null ? null : dcsqtinfoId.trim();
    }

    /**
     * 作业状态：0待启动，1启动，2结束
     * @return task_state 作业状态：0待启动，1启动，2结束
     */
    public Integer getTaskState() {
        return taskState;
    }

    /**
     * 作业状态：0待启动，1启动，2结束
     * @param taskState 作业状态：0待启动，1启动，2结束
     */
    public void setTaskState(Integer taskState) {
        this.taskState = taskState;
    }

    /**
     * 作业结束时间
     * @return task_end_time 作业结束时间
     */
    public Date getTaskEndTime() {
        return taskEndTime;
    }

    /**
     * 作业结束时间
     * @param taskEndTime 作业结束时间
     */
    public void setTaskEndTime(Date taskEndTime) {
        this.taskEndTime = taskEndTime;
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 氧气报警仪安全检查
     * @return yqbjyaqjc 氧气报警仪安全检查
     */
    public String getYqbjyaqjc() {
        return yqbjyaqjc;
    }

    /**
     * 氧气报警仪安全检查
     * @param yqbjyaqjc 氧气报警仪安全检查
     */
    public void setYqbjyaqjc(String yqbjyaqjc) {
        this.yqbjyaqjc = yqbjyaqjc == null ? null : yqbjyaqjc.trim();
    }

    /**
     * 补药前仓内磷化氢浓度
     * @return byqcnlhqnd 补药前仓内磷化氢浓度
     */
    public BigDecimal getByqcnlhqnd() {
        return byqcnlhqnd;
    }

    /**
     * 补药前仓内磷化氢浓度
     * @param byqcnlhqnd 补药前仓内磷化氢浓度
     */
    public void setByqcnlhqnd(BigDecimal byqcnlhqnd) {
        this.byqcnlhqnd = byqcnlhqnd;
    }

    /**
     * 目标浓度
     * @return mbnd 目标浓度
     */
    public BigDecimal getMbnd() {
        return mbnd;
    }

    /**
     * 目标浓度
     * @param mbnd 目标浓度
     */
    public void setMbnd(BigDecimal mbnd) {
        this.mbnd = mbnd;
    }

    /**
     * 计算补药量
     * @return jsbyl 计算补药量
     */
    public BigDecimal getJsbyl() {
        return jsbyl;
    }

    /**
     * 计算补药量
     * @param jsbyl 计算补药量
     */
    public void setJsbyl(BigDecimal jsbyl) {
        this.jsbyl = jsbyl;
    }

    /**
     * 补药作业批准人
     * @return byzypzr 补药作业批准人
     */
    public String getByzypzr() {
        return byzypzr;
    }

    /**
     * 补药作业批准人
     * @param byzypzr 补药作业批准人
     */
    public void setByzypzr(String byzypzr) {
        this.byzypzr = byzypzr == null ? null : byzypzr.trim();
    }

    /**
     * 峰值浓度
     * @return fznd 峰值浓度
     */
    public BigDecimal getFznd() {
        return fznd;
    }

    /**
     * 峰值浓度
     * @param fznd 峰值浓度
     */
    public void setFznd(BigDecimal fznd) {
        this.fznd = fznd;
    }

    /**
     * 目标浓度维持天数
     * @return mbndwcts 目标浓度维持天数
     */
    public Integer getMbndwcts() {
        return mbndwcts;
    }

    /**
     * 目标浓度维持天数
     * @param mbndwcts 目标浓度维持天数
     */
    public void setMbndwcts(Integer mbndwcts) {
        this.mbndwcts = mbndwcts;
    }

    /**
     * 漏气位置监测
     * @return lswzjc 漏气位置监测
     */
    public String getLswzjc() {
        return lswzjc;
    }

    /**
     * 漏气位置监测
     * @param lswzjc 漏气位置监测
     */
    public void setLswzjc(String lswzjc) {
        this.lswzjc = lswzjc == null ? null : lswzjc.trim();
    }

    /**
     * 漏气部位采取的补救措施
     * @return lqbwcqdbjcs 漏气部位采取的补救措施
     */
    public String getLqbwcqdbjcs() {
        return lqbwcqdbjcs;
    }

    /**
     * 漏气部位采取的补救措施
     * @param lqbwcqdbjcs 漏气部位采取的补救措施
     */
    public void setLqbwcqdbjcs(String lqbwcqdbjcs) {
        this.lqbwcqdbjcs = lqbwcqdbjcs == null ? null : lqbwcqdbjcs.trim();
    }

    /**
     * 密闭时间
     * @return mbsj 密闭时间
     */
    public Integer getMbsj() {
        return mbsj;
    }

    /**
     * 密闭时间
     * @param mbsj 密闭时间
     */
    public void setMbsj(Integer mbsj) {
        this.mbsj = mbsj;
    }

    /**
     * CT值
     * @return ctz CT值
     */
    public BigDecimal getCtz() {
        return ctz;
    }

    /**
     * CT值
     * @param ctz CT值
     */
    public void setCtz(BigDecimal ctz) {
        this.ctz = ctz;
    }

    /**
     * 散气前磷化氢浓度
     * @return sqqlhqnd 散气前磷化氢浓度
     */
    public BigDecimal getSqqlhqnd() {
        return sqqlhqnd;
    }

    /**
     * 散气前磷化氢浓度
     * @param sqqlhqnd 散气前磷化氢浓度
     */
    public void setSqqlhqnd(BigDecimal sqqlhqnd) {
        this.sqqlhqnd = sqqlhqnd;
    }

    /**
     * 散气批准人
     * @return sqpzr 散气批准人
     */
    public String getSqpzr() {
        return sqpzr;
    }

    /**
     * 散气批准人
     * @param sqpzr 散气批准人
     */
    public void setSqpzr(String sqpzr) {
        this.sqpzr = sqpzr == null ? null : sqpzr.trim();
    }

    /**
     * 散气持续天数
     * @return sqcsts 散气持续天数
     */
    public Integer getSqcsts() {
        return sqcsts;
    }

    /**
     * 散气持续天数
     * @param sqcsts 散气持续天数
     */
    public void setSqcsts(Integer sqcsts) {
        this.sqcsts = sqcsts;
    }

    /**
     * 散气结束时磷化氢浓度
     * @return sqjsslhqnd 散气结束时磷化氢浓度
     */
    public BigDecimal getSqjsslhqnd() {
        return sqjsslhqnd;
    }

    /**
     * 散气结束时磷化氢浓度
     * @param sqjsslhqnd 散气结束时磷化氢浓度
     */
    public void setSqjsslhqnd(BigDecimal sqjsslhqnd) {
        this.sqjsslhqnd = sqjsslhqnd;
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @return delete_state 删除标志，0是删除，1是未删除
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @param deleteState 删除标志，0是删除，1是未删除
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}